import { ChangeEvent } from 'react';
import { DataTypeSingle } from '../types';
export interface useFieldProps {
    name: string;
}
export type useFieldReturnType<DataType> = {
    value: DataType | undefined;
    reset: (value?: DataType) => void;
    clean: () => void;
    name: string;
    onChange: (event: ChangeEvent<HTMLInputElement>) => void;
};
declare const useField: <DataType extends DataTypeSingle>({ name, }: useFieldProps) => useFieldReturnType<DataType>;
export default useField;
